# report-cybercrime

A Selenium script to make that nasty Cybercrime website easier to deal with and to scale up our reporting capacity.


## Preview

[preview.webm](https://user-images.githubusercontent.com/29645145/210195195-d5b498e3-34ac-4c53-9e8e-ee3c3ab4941c.webm)


## How to Use

1) First write a report and collect the appropriate data. 

2) Then upload it to a cloud provider you can link too.

3) Fill in the hard-coded sections of this script, leaving 'test_report = True'.

4) Test the selenium script, if it completes the form properly you can set 'test_report = False' and re-run it to complete the report.


## License

MIT License

Copyright (c) 2023 Michael Collins

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
